// リストの状態
function ListCondition(){
	//ページ番号
	this.listPage = 0;
	//整列する列
	this.listSort = null;
	//整列が降順
	this.listSortDesc = false;
}

// 整列
ListCondition.prototype.sort = function(column){
	if(this.listSort == column){
		this.listSortDesc = !this.listSortDesc;
	}else{
		this.listSortDesc = false;
	}
	this.listSort = column;
}

// パラメータを取得
ListCondition.prototype.getListParam = function(){
	var listParam = '';
	if(this.listSort){
		listParam += '&sort='+ this.listSort;
	}
	if(this.listSortDesc){
		listParam += '&desc='+ this.listSortDesc;
	}
	if(this.listPage){
		listParam += '&page='+ this.listPage;
	}
	return listParam;
}

// リストの状態
var listCondition = new ListCondition();

//整列
function onSort(colum){
	listCondition.sort(colum);
	onFindList();
}

//ページ移動
function onPage(page){
	listCondition.listPage = page;
	onFindList();
}

//一覧表示(オーバーライド用)
function onFindList(){
}


//キャッシュ一覧
function onCachedList(pars){
	onList('/cached-list.htm', pars);
}

//一時キャッシュ一覧
function onCachingList(pars){
	onList('/caching-list.htm', pars);
}

//先行キャッシュ一覧
function onPrecedeList(pars){
	onList('/precede-list.htm', pars);
}

//タグ(短縮)一覧
function onTagShortList1(pars){
	onList('/tag-short-list1.htm', pars);
}

//タグ(短縮)一覧
function onTagShortList2(pars){
	onList('/tag-short-list2.htm', pars);
}

//タグ一覧
function onTagList(pars){
	onList('/tag-list.htm', pars);
}

//NGワード一覧
function onNgwordList1(pars){
	onList('/ngword-list1.htm', pars);
}

//NGログ一覧
function onNgwordHitLogList(pars){
	onList('/ngword-hit-log-list.htm', pars);
}

//管理者NG一覧
function onOwnerNgwordList(pars){
	onList('/owner-ngword-list.htm', pars);
}

//管理者NGワード一覧
function onNgwordList2(pars){
	onList('/ngword-list2.htm', pars);
}

//キャッシュ更新
function onCacheUpdate(pars){
	onUpdate('/cache-update.htm', pars, onUpdateComplete);
}

//先行キャッシュ更新
function onPrecedeUpdate(pars){
	onUpdate('/precede-update.htm', pars, onUpdateComplete);
}

//タグ更新
function onTagUpdate(pars){
	onUpdate('/tag-update.htm', pars, onUpdateComplete);
}

//NG更新
function onNgwordUpdate(pars){
	onUpdate('/ngword-update.htm', pars, onUpdateComplete);
}

//管理操作
function onControlUpdate(pars){
	onUpdate('/control-update.htm', pars, onUpdateComplete);
}

//アプリ情報データ
function onApplicationInfoData(pars, comp){
	onUpdate('/application-info.htm', pars, comp);

}
//管理操作データ
function onControlData(pars, comp){
	onUpdate('/control-data.htm', pars, comp);
}

//先行キャッシュの次の状態
function onPrecedeNext(pars, comp){
	onUpdate('/precede-next.htm', pars, comp);
}

//システム設定一覧
function onAppConfigData(pars, comp){
	onUpdate('/app-config-data.htm', pars, comp);
}

//一覧処理
function onList(url, pars){
	new Ajax.Updater('list', url, {
			method: 'post', 
			parameters: pars 
	});
}

//更新処理
function onUpdate(url, pars, comp){
	new Ajax.Request(url, { 
		method: 'post', 
		parameters: pars, 
		onComplete: comp
	});
}

//更新完了
function onUpdateComplete(request) { 
	var result = request.responseText.evalJSON();
	if(result.error){
		$('message').update(result.message);
	}else{
		onFindList();
		$('message').update(result.message);
	}
}

//システム設定更新
function onAppConfigUpdate(){
	new Ajax.Updater('message', '/app-config-update.htm', {
		method: 'post', 
		parameters: $('form').serialize()
	});
}